%define module	Email-MIME-ContentType
%define name	perl-%{module}
%define version 1.01
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Parse a MIME Content-Type Header
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/C/CW/CWEST/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is responsible for parsing email content type headers according to
section 5.1 of RFC 2045. It returns a hash as above, with entries for the
discrete type, the composite type, and a hash of attributes.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-3mdv2007.0
- Rebuild

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdk
- fix description lines length

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- first mdk release  
